Skip to main content
POST
/
general-leads
/
{generalLeadId}
/
communications
/
vendor
Send vendor communications
curl --request POST \
  --url https://www.renovationfind.com/rest-manager-api-v1/general-leads/{generalLeadId}/communications/vendor \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "vendorIds": [
    123
  ],
  "subject": "<string>",
  "message": "<string>"
}
'
import requests

url = "https://www.renovationfind.com/rest-manager-api-v1/general-leads/{generalLeadId}/communications/vendor"

payload = {
"vendorIds": [123],
"subject": "<string>",
"message": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({vendorIds: [123], subject: '<string>', message: '<string>'})
};

fetch('https://www.renovationfind.com/rest-manager-api-v1/general-leads/{generalLeadId}/communications/vendor', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": [
    {
      "id": 123,
      "vendorId": 123,
      "vendorName": "<string>",
      "communicationType": "<string>",
      "status": "<string>",
      "dateCreated": "2023-11-07T05:31:56Z",
      "dateModified": "2023-11-07T05:31:56Z"
    }
  ],
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

JWT token issued from the RenovationFind Manager Portal

Path Parameters

generalLeadId
integer<int64>
required

Body

application/json
vendorIds
integer<int64>[]
subject
string
message
string

Response

200 - application/json

Vendor communications created

success
boolean
data
object[]
message
string